/*
 * led-module - main.c
 *
 * Copyright (C) 2017  Krzysztof Mazur <krzysiek@podlesie.net>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 */

#if HAVE_CONFIG_H
#include <config.h>
#endif
#include <stdio.h>
#include <limits.h>
#include <compiler.h>

#define TEMP_HIGH	56633
#define SCALER		(1 / 1415.833)

#define PERIOD		48

void control_loop(void)
{
	unsigned int temp = TEMP_HIGH;
	unsigned long t = 0;
	unsigned char i = 0;
	unsigned char x;

	for (;;) {
		unsigned char p = 0;

		x = 1;
		if (x && (temp < TEMP_HIGH))
			p = 1;

		if (p)
			temp += 128;
		if (++i >= 34) {
			temp -= temp >> 8;
			i = 0;
		}

		t++;
		printf("%ld	%.6f	%d	%d	%.2f\n",
				t, (PERIOD / 9.6e6) * t,
				x, p,
				temp * SCALER);
	}
}

int main(void)
{
	control_loop();
	return 0;
}
